/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.sinfo.collision;

import org.apache.commons.lang.math.DoubleRange;
import org.dive4elements.river.artifacts.common.AbstractCalculationExportableResult;
import org.dive4elements.river.artifacts.common.AbstractCalculationListResults;
import org.dive4elements.river.artifacts.sinfo.util.RiverInfo;

/**
 * @author Gernot Belger
 */
final class CollisionCalculationResults extends AbstractCalculationListResults<AbstractCalculationExportableResult<CollisionCalculationResults>> {

    private static final long serialVersionUID = 1L;

    private final String yearsHeader;

    public CollisionCalculationResults(final String calcModeLabel, final String user, final RiverInfo river, final DoubleRange calcRange,
            final String yearsHeader) {
        super(calcModeLabel, user, river, calcRange);
        this.yearsHeader = yearsHeader;
    }

    public String getYearsHeader() {
        return this.yearsHeader;
    }
}